# SpritePacker

An advanced sprite packing tool. Currently a work in progress.

## Requirements
 * Either the Microsoft .NET framework on windows, or the [Mono runtime](http://www.mono-project.com/) on other platforms.
 * If you want to build SpritePacker from source, you'll need [git](https://git-scm.com/) installed and in your PATH.

## Getting Started

### Prebuilt binaries
I provide prebuilt binaries, just in case you can't get SpritePacker to build yourself.

Link: [SpritePacker.exe](https://owncloud.starbeamrainbowlabs.com/index.php/s/xr7oS7DPCaFJ4kO) ([Direct Link](https://owncloud.starbeamrainbowlabs.com/index.php/s/xr7oS7DPCaFJ4kO/download))

### From source

 * Clone or [download](https://git.starbeamrainbowlabs.com/sbrl/SpritePacker/archive/master.zip) this repo, and build the included solution.
	 * Windows GUI: Open the solution in Visual Studio and hit build (CTRL + SHIFT + B).
	 * Windows Command Line: Run `msbuild` from the root of this repo (I assume).
	 * Linux GUI: Open the solution in MonoDevelop and hit build (F8)
	 * Linux Command Line: Run `xbuild` from the root of this repo.
 * Run `SpritePacker.exe --help` (`./SpritePacker.exe --help` on Linux) to learn how to use it.

## License
This tool is licensed under the Mozilla Public License version 2.0. You can view the full license text in the `LICENSE` file in this repo. Alternatively, [tl;dr legal](https://tldrlegal.com/) has a [summary](https://tldrlegal.com/license/mozilla-public-license-2.0-(mpl-2)) of this license.
